import { CustomError } from 'ts-custom-error';
import { BaseErrorsType } from './errors-type.js';

interface BaseErrorMetadata {
    code: BaseErrorsType;
    message: string;
    details?: string;
    httpCode?: number;
    descriptionInPtBr?: string;
}
declare class BaseError extends CustomError implements BaseErrorMetadata {
    code: BaseErrorsType;
    httpCode: number;
    details?: string | undefined;
    descriptionInPtBr?: string | undefined;
    constructor(code: BaseErrorsType, message?: string, httpCode?: number, details?: string | undefined, descriptionInPtBr?: string | undefined);
}

export { BaseError, BaseErrorMetadata };
