type AppConfig = {
    name: string;
};
type KafkaConfig = {
    bootstrap: {
        servers: string;
    };
    security: {
        protocol: string;
    };
    sasl: {
        mechanism: string;
        username: string;
        password: string;
    };
    group: {
        id: string;
    };
    auto: {
        offset: {
            reset: string;
        };
    };
    enable: {
        auto: {
            commit: boolean;
        };
        partition: {
            eof: true;
        };
    };
    heartbeat: {
        interval: {
            ms: number;
        };
    };
    session: {
        timeout: {
            ms: number;
        };
    };
    run: {
        consumers: string;
    };
    log: {
        messagePayload: boolean;
    };
};
declare const appConfig: AppConfig;
declare const kafkaConfig: KafkaConfig;

export { AppConfig, KafkaConfig, appConfig, kafkaConfig };
