import { Batch, KafkaMessage, Kafka } from 'kafkajs';
import { ConsumerMessageHandlerContract } from '../../contracts/consumer-message-handler-contract.js';
import { MessageBrokerContract } from '../../contracts/message-broker-contract.js';
import { ConsumerMessageBrokerContract, ConsumerMessageBroker } from '../../contracts/consumer-message-broker-contract.js';

type ConsumerLogMessageInput = {
    batch: Batch;
    message: KafkaMessage;
    details?: any;
    tags: string[];
};
declare class KafkaConsumerAdapter<Message> implements MessageBrokerContract, ConsumerMessageBrokerContract {
    private readonly kafka;
    readonly options: ConsumerMessageBroker.Options;
    private readonly processMessage;
    private isConnected;
    private readonly consumer;
    private readonly producer;
    private cache;
    private readonly EMPTY_STRINGIFY_OBJECT;
    constructor(kafka: Kafka, options: ConsumerMessageBroker.Options, processMessage: ConsumerMessageHandlerContract<Message>);
    private logMessage;
    private isCachedForDLQ;
    private produceToDLQ;
    private eachMessage;
    start(): Promise<void>;
    stop(): Promise<void>;
}

export { ConsumerLogMessageInput, KafkaConsumerAdapter };
