import { Kafka } from 'kafkajs';
import { ProducerMessageHandlerContract } from '../../contracts/producer-message-handler-contract.js';
import { MessageBrokerContract } from '../../contracts/message-broker-contract.js';
import { ProducerMessageBrokerContract, ProducerMessageBroker } from '../../contracts/producer-message-broker-contract.js';

type ProducerLogMessageInput = {
    topic: string;
    key: string;
    message: any;
    details?: any;
    tags: string[];
};
declare class KafkaProducerAdapter<Message = any, FormattedMessage = any> implements MessageBrokerContract, ProducerMessageBrokerContract {
    private readonly kafka;
    readonly options: ProducerMessageBroker.Options;
    private readonly processMessage;
    private readonly LOG_TOPIC;
    private isConnected;
    private readonly producer;
    constructor(kafka: Kafka, options: ProducerMessageBroker.Options, processMessage: ProducerMessageHandlerContract<Message, FormattedMessage>);
    private logMessage;
    start(): Promise<void>;
    stop(): Promise<void>;
    produce(message: Message, options?: {
        key: string;
    }): Promise<void>;
}

export { KafkaProducerAdapter, ProducerLogMessageInput };
