import { KafkaLog } from './kafka-log.js';

type KafkaConsumerLogDecoratorInput = {
    topic: string;
    partition: number;
    offset: string;
    messageKey: string;
    messagePayload: any;
    details: any;
    tags: string[];
};
declare class KafkaConsumerLogDecorator implements KafkaLog {
    private readonly topic;
    private readonly partition;
    private readonly offset;
    private readonly messageKey;
    private readonly messagePayload;
    private readonly details;
    private readonly _tags;
    private readonly _message;
    constructor(input: KafkaConsumerLogDecoratorInput);
    private buildMessage;
    get tags(): string[];
    get message(): string;
}

export { KafkaConsumerLogDecorator, KafkaConsumerLogDecoratorInput };
