import { KafkaLog } from './kafka-log.js';

type KafkaProducerLogDecoratorInput = {
    topic: string;
    messageKey: string;
    messagePayload: any;
    details: any;
    tags: string[];
};
declare class KafkaProducerLogDecorator implements KafkaLog {
    private readonly topic;
    private readonly messageKey;
    private readonly messagePayload;
    private readonly details;
    private readonly _tags;
    private readonly _message;
    constructor(input: KafkaProducerLogDecoratorInput);
    private buildMessage;
    get tags(): string[];
    get message(): string;
}

export { KafkaProducerLogDecorator, KafkaProducerLogDecoratorInput };
