import { ConsumerMessageHandlerContract } from '../../contracts/consumer-message-handler-contract.js';
import { MessageBrokerContract } from '../../contracts/message-broker-contract.js';
import { ConsumerMessageBrokerContract, ConsumerMessageBroker } from '../../contracts/consumer-message-broker-contract.js';
import { LocalConsumer } from '../in-memory/local-consumer.js';
import '../in-memory/local-message.js';

declare class LocalConsumerAdapter implements MessageBrokerContract, ConsumerMessageBrokerContract {
    readonly options: ConsumerMessageBroker.Options;
    private readonly processMessage;
    readonly consumer: LocalConsumer;
    constructor(options: ConsumerMessageBroker.Options, processMessage: ConsumerMessageHandlerContract);
    start(): Promise<void>;
    stop(): Promise<void>;
}

export { LocalConsumerAdapter };
