import { MessageBrokerContract } from '../../contracts/message-broker-contract.js';
import { ProducerMessageBrokerContract, ProducerMessageBroker } from '../../contracts/producer-message-broker-contract.js';
import { LocalProducer } from '../in-memory/local-producer.js';

declare class LocalProducerAdapter<Message = any> implements MessageBrokerContract, ProducerMessageBrokerContract {
    readonly options: ProducerMessageBroker.Options;
    readonly producer: LocalProducer;
    constructor(options: ProducerMessageBroker.Options);
    start(): Promise<void>;
    stop(): Promise<void>;
    produce(message: Message, options?: {
        key: string;
    }): Promise<void>;
}

export { LocalProducerAdapter };
